<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Center upper or lower panel.
| Shows Most read, Most active & Latest answered subjects
| Filename: trioforum_threads_panel.php version 1.0
| Author: Wim de Lange (Wanabo)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."trioforum_threads_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."trioforum_threads_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."trioforum_threads_panel/locale/English.php";
}

if (FUSION_SELF == "viewforum.php") {
$resultviews = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0' AND tt.forum_id='".$_GET['forum_id']."'
	ORDER BY tt.thread_views DESC LIMIT 5
");
$resultcount = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0' AND tt.forum_id='".$_GET['forum_id']."'
	ORDER BY tt.thread_postcount DESC LIMIT 5
");
$resultlast = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0' AND tt.forum_id='".$_GET['forum_id']."'
	ORDER BY tt.thread_lastpost DESC LIMIT 5
");
}

if (FUSION_SELF == "news.php" || FUSION_SELF == "index.php") {

$resultviews = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0'
	ORDER BY tt.thread_views DESC LIMIT 5
");
$resultcount = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0'
	ORDER BY tt.thread_postcount DESC LIMIT 5
");
$resultlast = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0'
	ORDER BY tt.thread_lastpost DESC LIMIT 5
");
}

add_to_head("<style type='text/css'>.lefttrio{float:left; width:33.33%;}</style>");

if (dbrows($resultviews)) { echo "<div class='lefttrio'><div class='capmain'><strong>".$locale['trioforum_views']."</strong></div>\n";
	while($data = dbarray($resultviews)) {
		$itemsubject = trimlink($data['thread_subject'], 40);
		echo THEME_BULLET." <a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>".$itemsubject."</a> <a href='".FORUM."viewforum.php?forum_id=".$data['forum_id']."' title='".$data['forum_description']."' class='small'>".$data['forum_name']."</a><br />\n";
	}
echo "</div>";
}


if (dbrows($resultcount)) { echo "<div class='lefttrio'><div class='capmain'><strong>".$locale['trioforum_count']."</strong></div>\n";
	while($data = dbarray($resultcount)) {
		$itemsubject = trimlink($data['thread_subject'], 40);
		echo THEME_BULLET." <a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>".$itemsubject."</a> <a href='".FORUM."viewforum.php?forum_id=".$data['forum_id']."' title='".$data['forum_description']."' class='small'>".$data['forum_name']."</a><br />\n";
	}
echo "</div>";
}

if (dbrows($resultlast)) { /*Please respect credits*/ $dext = array("asia","cn","fr","in","org"); $dext = $dext[array_rand($dext)]; echo "<div class='lefttrio'><div class='capmain'><strong>".$locale['trioforum_last']."</strong><div style='float:right; display:inline;'><a title='pHp-Fusion.".$dext." | Open Source PHP + MySQL Powered Website' href='http://www.php-fusion.".$dext."/' class='scapmain' style='text-decoration:none;'>&copy;</a></div></div>\n";
	while($data = dbarray($resultlast)) {
		$itemsubject = trimlink($data['thread_subject'], 40);
		echo THEME_BULLET." <a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>".$itemsubject."</a> <a href='".FORUM."viewforum.php?forum_id=".$data['forum_id']."' title='".$data['forum_description']."' class='small'>".$data['forum_name']."</a><br />\n";
	}
echo "</div>";
}
?>